//iconlist.cpp



#include <gnome.h>
#include "theme.h"
#include "widget.h"
#include "iconlist.h"


Iconlist::Iconlist(): Widget()
{
	_widget = gnome_icon_list_new(64, NULL, 1);
	gnome_icon_list_set_selection_mode(GNOME_ICON_LIST(_widget), GTK_SELECTION_MULTIPLE);
}

void Iconlist::add(char icon[], char text[])
{
	gnome_icon_list_append(GNOME_ICON_LIST(_widget), icon, text);
}

void Iconlist::clear()
{
	gnome_icon_list_clear(GNOME_ICON_LIST(_widget));
}

void Iconlist::unselectAll()
{
	gnome_icon_list_unselect_all(GNOME_ICON_LIST(_widget), NULL, NULL);
}
