//label.cpp



#include <gnome.h>
#include "theme.h"
#include "widget.h"
#include "label.h"


Label::Label(gchar text[] = "")
{
	_widget = gtk_label_new(text);
}


//returns
gchar* Label::getText()
{
	gchar* str;
	gtk_label_get(GTK_LABEL(_widget), &str);
	return g_strdup(str);
}

//sets
void Label::setText(gchar text[] = "")
{
	gtk_label_set_text(GTK_LABEL(_widget), text);
}

//useful
void Label::justify(GtkJustification type)
{
	gtk_label_set_justify(GTK_LABEL(_widget), type);
}
