//menu.h



#ifndef __MENU_H
#define __MENU_H

#include <gtk/gtk.h>

#include "widget.h"


class Menu: public Widget
{
	public:
		Menu(gboolean tearoff = TRUE);

		void add(gchar label[], void* callback, gpointer data, gpointer userdata = NULL);
		void add(gchar label[], void* callback, gpointer data, gint userdata);
		void add();

		void popup(gint x, gint y, gchar title[] = "");
};

#endif //__MENU_H
